CREATE TABLE fa_inventory_int (
    INVENTORY_NAME                   VARCHAR2(960) ,
    INVENTORY_LINE_NUM               NUMBER(18, 0) ,
    BOOK_TYPE_CODE                   VARCHAR2(120)     NOT NULL,
    ASSET_ID                         NUMBER(18, 0) ,
    ASSET_NUMBER                     VARCHAR2(120) ,
    TAG_NUMBER                       VARCHAR2(60)  ,
    INVENTORY_TAKEN_DATE             DATE          ,
    ASSET_DESCRIPTION                VARCHAR2(320) ,
    MODEL_NUMBER                     VARCHAR2(160) ,
    SERIAL_NUMBER                    VARCHAR2(140) ,
    MANUFACTURER_NAME                VARCHAR2(1440),
    UNITS                            NUMBER            NOT NULL,
    DISTRIBUTION_ID                  NUMBER(18, 0) ,
    ASSIGNED_TO                      NUMBER(18, 0) ,
    ASSIGNEE_EMAIL_ADDRESS           VARCHAR2(960) ,
    LOCATION_ID                      NUMBER(18, 0) ,
    LOCATION_SEGMENT1                VARCHAR2(120) ,
    LOCATION_SEGMENT2                VARCHAR2(120) ,
    LOCATION_SEGMENT3                VARCHAR2(120) ,
    LOCATION_SEGMENT4                VARCHAR2(120) ,
    LOCATION_SEGMENT5                VARCHAR2(120) ,
    LOCATION_SEGMENT6                VARCHAR2(120) ,
    LOCATION_SEGMENT7                VARCHAR2(120) ,
    CATEGORY_ID                      NUMBER(18, 0) ,
    CATEGORY_SEGMENT1                VARCHAR2(120) ,
    CATEGORY_SEGMENT2                VARCHAR2(120) ,
    CATEGORY_SEGMENT3                VARCHAR2(120) ,
    CATEGORY_SEGMENT4                VARCHAR2(120) ,
    CATEGORY_SEGMENT5                VARCHAR2(120) ,
    CATEGORY_SEGMENT6                VARCHAR2(120) ,
    CATEGORY_SEGMENT7                VARCHAR2(120) ,
    ASSET_KEY_CCID                   NUMBER(18, 0) ,
    ASSET_KEY_SEGMENT1               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT2               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT3               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT4               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT5               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT6               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT7               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT8               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT9               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT10              VARCHAR2(120) ,
    STATUS                           VARCHAR2(120)     NOT NULL,
    UNIT_ADJ_CODE                    VARCHAR2(120) ,
    UNIT_DIFFERENCE_ACTION_CODE      VARCHAR2(120) ,
    ASSIGN_DIFFERENCE_ACTION_CODE    VARCHAR2(120) ,
    LOC_DIFFERENCE_ACTION_CODE       VARCHAR2(120) ,
    TRANSACTION_INTERFACE_ID         NUMBER(18, 0) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    LOAD_REQUEST_ID                  NUMBER(18, 0) ,
    INVENTORY_NAME                   VARCHAR2(960) ,
    INVENTORY_LINE_NUM               NUMBER(18, 0) ,
    BOOK_TYPE_CODE                   VARCHAR2(120)     NOT NULL,
    ASSET_ID                         NUMBER(18, 0) ,
    ASSET_NUMBER                     VARCHAR2(120) ,
    TAG_NUMBER                       VARCHAR2(60)  ,
    INVENTORY_TAKEN_DATE             DATE          ,
    ASSET_DESCRIPTION                VARCHAR2(320) ,
    MODEL_NUMBER                     VARCHAR2(160) ,
    SERIAL_NUMBER                    VARCHAR2(140) ,
    MANUFACTURER_NAME                VARCHAR2(1440),
    UNITS                            NUMBER            NOT NULL,
    DISTRIBUTION_ID                  NUMBER(18, 0) ,
    ASSIGNED_TO                      NUMBER(18, 0) ,
    ASSIGNEE_EMAIL_ADDRESS           VARCHAR2(960) ,
    LOCATION_ID                      NUMBER(18, 0) ,
    LOCATION_SEGMENT1                VARCHAR2(120) ,
    LOCATION_SEGMENT2                VARCHAR2(120) ,
    LOCATION_SEGMENT3                VARCHAR2(120) ,
    LOCATION_SEGMENT4                VARCHAR2(120) ,
    LOCATION_SEGMENT5                VARCHAR2(120) ,
    LOCATION_SEGMENT6                VARCHAR2(120) ,
    LOCATION_SEGMENT7                VARCHAR2(120) ,
    CATEGORY_ID                      NUMBER(18, 0) ,
    CATEGORY_SEGMENT1                VARCHAR2(120) ,
    CATEGORY_SEGMENT2                VARCHAR2(120) ,
    CATEGORY_SEGMENT3                VARCHAR2(120) ,
    CATEGORY_SEGMENT4                VARCHAR2(120) ,
    CATEGORY_SEGMENT5                VARCHAR2(120) ,
    CATEGORY_SEGMENT6                VARCHAR2(120) ,
    CATEGORY_SEGMENT7                VARCHAR2(120) ,
    ASSET_KEY_CCID                   NUMBER(18, 0) ,
    ASSET_KEY_SEGMENT1               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT2               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT3               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT4               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT5               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT6               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT7               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT8               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT9               VARCHAR2(120) ,
    ASSET_KEY_SEGMENT10              VARCHAR2(120) ,
    STATUS                           VARCHAR2(120)     NOT NULL,
    UNIT_ADJ_CODE                    VARCHAR2(120) ,
    UNIT_DIFFERENCE_ACTION_CODE      VARCHAR2(120) ,
    ASSIGN_DIFFERENCE_ACTION_CODE    VARCHAR2(120) ,
    LOC_DIFFERENCE_ACTION_CODE       VARCHAR2(120) ,
    TRANSACTION_INTERFACE_ID         NUMBER(18, 0) ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1                NUMBER        ,
    ATTRIBUTE_NUMBER2                NUMBER        ,
    ATTRIBUTE_NUMBER3                NUMBER        ,
    ATTRIBUTE_NUMBER4                NUMBER        ,
    ATTRIBUTE_NUMBER5                NUMBER        ,
    ATTRIBUTE_DATE1                  DATE          ,
    ATTRIBUTE_DATE2                  DATE          ,
    ATTRIBUTE_DATE3                  DATE          ,
    ATTRIBUTE_DATE4                  DATE          ,
    ATTRIBUTE_DATE5                  DATE          ,
    ATTRIBUTE_CATEGORY               VARCHAR2(120) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    LOAD_REQUEST_ID                  NUMBER(18, 0) ,
    CONSTRAINT pk_fa_inventory_int PRIMARY KEY (INVENTORY_NAME, INVENTORY_LINE_NUM, INVENTORY_NAME, INVENTORY_LINE_NUM)
);
